Index: org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.app/pom.xml
===================================================================
--- org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.app/pom.xml	(revision 0)
+++ org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.app/pom.xml	(revision 1456)
@@ -0,0 +1,14 @@
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+  <modelVersion>4.0.0</modelVersion>
+  <parent>
+    <groupId>org.gvsig</groupId>
+    <artifactId>org.gvsig.vectorediting.offset</artifactId>
+    <version>1.0.40</version>
+  </parent>
+  <artifactId>org.gvsig.vectorediting.offset.app</artifactId>
+  <packaging>pom</packaging>
+  <name>org.gvsig.vectorediting.offset.app</name>
+  <modules>
+    <module>org.gvsig.vectorediting.offset.app.mainplugin</module>
+  </modules>
+</project>
Index: org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.app/org.gvsig.vectorediting.offset.app.mainplugin/buildNumber.properties
===================================================================
--- org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.app/org.gvsig.vectorediting.offset.app.mainplugin/buildNumber.properties	(revision 0)
+++ org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.app/org.gvsig.vectorediting.offset.app.mainplugin/buildNumber.properties	(revision 1456)
@@ -0,0 +1,2 @@
+#Tue Jul 10 03:12:16 CEST 2018
+buildNumber=46
Index: org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.app/org.gvsig.vectorediting.offset.app.mainplugin/src/main/resources-plugin/config.xml
===================================================================
--- org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.app/org.gvsig.vectorediting.offset.app.mainplugin/src/main/resources-plugin/config.xml	(revision 0)
+++ org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.app/org.gvsig.vectorediting.offset.app.mainplugin/src/main/resources-plugin/config.xml	(revision 1456)
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!-- gvSIG. Desktop Geographic Information System. Copyright (C) 2007-2013
+	gvSIG Association. This program is free software; you can redistribute it
+	and/or modify it under the terms of the GNU General Public License as published
+	by the Free Software Foundation; either version 3 of the License, or (at
+	your option) any later version. This program is distributed in the hope that
+	it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
+	of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+	Public License for more details. You should have received a copy of the GNU
+	General Public License along with this program; if not, write to the Free
+	Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
+	USA. For any additional information, do not hesitate to contact us at info
+	AT gvsig.com, or visit our website www.gvsig.com. -->
+<plugin-config>
+	<depends plugin-name="org.gvsig.vectorediting.app.mainplugin" />
+	<resourceBundle name="text" />
+	<libraries library-dir="lib" />
+	<extensions>
+		<extension class-name="org.gvsig.vectorediting.app.mainplugin.ServiceExtension"
+			description="" active="true" priority="1">
+
+			<action name="modify-offset" label="modify_offset"
+                tooltip="modify_offset" position="601004400" action-command="modify-offset"
+                icon="modify-offset" accelerator="" />
+
+			<menu text="Layer/Modify/modify_offset" name="modify-offset" />
+
+			<tool-bar name="vector_editing" position="4000">
+				<selectable-tool name="modify-offset" />
+			</tool-bar>
+
+		</extension>
+	</extensions>
+</plugin-config>
\ No newline at end of file
Index: org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.app/org.gvsig.vectorediting.offset.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml
===================================================================
--- org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.app/org.gvsig.vectorediting.offset.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml	(revision 0)
+++ org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.app/org.gvsig.vectorediting.offset.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml	(revision 1456)
@@ -0,0 +1,63 @@
+<!--
+
+    gvSIG. Desktop Geographic Information System.
+
+    Copyright (C) 2007-2013 gvSIG Association.
+
+    This program is free software; you can redistribute it and/or
+    modify it under the terms of the GNU General Public License
+    as published by the Free Software Foundation; either version 3
+    of the License, or (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program; if not, write to the Free Software
+    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+    MA  02110-1301, USA.
+
+    For any additional information, do not hesitate to contact us
+    at info AT gvsig.com, or visit our website www.gvsig.com.
+
+-->
+<assembly>
+  <id>gvsig-plugin-package</id>
+  <formats>
+    <format>zip</format>
+  </formats>
+  <baseDirectory>${project.artifactId}</baseDirectory>
+  <includeBaseDirectory>true</includeBaseDirectory>
+  <files>
+    <file>
+      <source>target/${project.artifactId}-${project.version}.jar</source>
+      <outputDirectory>lib</outputDirectory>
+    </file>
+    <file>
+      <source>target/package.info</source>
+    </file>
+  </files>
+
+  <fileSets>
+    <fileSet>
+      <directory>src/main/resources-plugin</directory>
+      <outputDirectory>.</outputDirectory>
+    </fileSet>
+  </fileSets>
+
+
+  <dependencySets>
+    <dependencySet>
+      <useProjectArtifact>false</useProjectArtifact>
+      <useTransitiveDependencies>false</useTransitiveDependencies>
+      <outputDirectory>lib</outputDirectory>
+      <includes>
+		<include>org.gvsig:org.gvsig.vectorediting.offset.lib.prov.offset</include>
+      </includes>
+    </dependencySet>
+  </dependencySets>
+
+</assembly>
+
Index: org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.app/org.gvsig.vectorediting.offset.app.mainplugin/pom.xml
===================================================================
--- org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.app/org.gvsig.vectorediting.offset.app.mainplugin/pom.xml	(revision 0)
+++ org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.app/org.gvsig.vectorediting.offset.app.mainplugin/pom.xml	(revision 1456)
@@ -0,0 +1,46 @@
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+  <modelVersion>4.0.0</modelVersion>
+  <parent>
+    <groupId>org.gvsig</groupId>
+    <artifactId>org.gvsig.vectorediting.offset.app</artifactId>
+    <version>1.0.40</version>
+  </parent>
+  <artifactId>org.gvsig.vectorediting.offset.app.mainplugin</artifactId>
+  <name>org.gvsig.vectorediting.offset.app.mainplugin</name>
+
+    <properties>
+        <!-- Package info property values -->
+        <gvsig.package.info.state>testing</gvsig.package.info.state>
+        <gvsig.package.info.dependencies>required: org.gvsig.app.mainplugin -ge 2.1.0-A, required: org.gvsig.vectorediting.app.mainplugin -ge 1.0.0, conflict: org.gvsig.editing.app.mainplugin -ge 1</gvsig.package.info.dependencies>
+        <gvsig.package.info.official>true</gvsig.package.info.official>
+        <gvsig.package.info.name>Tools: Vector editing offset provider</gvsig.package.info.name>
+        <gvsig.package.info.description>Symmetry provider: provides offset geometries.</gvsig.package.info.description>
+        <gvsig.package.info.categories>Vector</gvsig.package.info.categories>
+        <gvsig.package.info.javaVM>j1_6</gvsig.package.info.javaVM>
+        <gvsig.package.info.poolURL>https://devel.gvsig.org/download/projects/gvsig-vectorediting/pool</gvsig.package.info.poolURL>
+    </properties>
+
+    <dependencies>
+      <dependency>
+        <groupId>org.gvsig</groupId>
+        <artifactId>org.gvsig.vectorediting.app.mainplugin</artifactId>
+        <scope>compile</scope>
+      </dependency>
+      <dependency>
+        <groupId>org.gvsig</groupId>
+        <artifactId>org.gvsig.vectorediting.lib.api</artifactId>
+      </dependency>
+      <dependency>
+        <groupId>org.gvsig</groupId>
+        <artifactId>org.gvsig.vectorediting.lib.impl</artifactId>
+      </dependency>
+      <dependency>
+        <groupId>org.gvsig</groupId>
+        <artifactId>org.gvsig.vectorediting.lib.spi</artifactId>
+      </dependency>
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.vectorediting.offset.lib.prov.offset</artifactId>
+    </dependency>
+    </dependencies>
+</project>
Index: org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/pom.xml
===================================================================
--- org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/pom.xml	(revision 0)
+++ org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/pom.xml	(revision 1456)
@@ -0,0 +1,16 @@
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+  <modelVersion>4.0.0</modelVersion>
+  <parent>
+    <groupId>org.gvsig</groupId>
+    <artifactId>org.gvsig.vectorediting.offset.lib</artifactId>
+    <version>1.0.40</version>
+  </parent>
+  <artifactId>org.gvsig.vectorediting.offset.lib.prov</artifactId>
+  <packaging>pom</packaging>
+  <name>org.gvsig.vectorediting.offset.lib.prov</name>
+   <modules>
+    <module>
+      org.gvsig.vectorediting.offset.lib.prov.offset
+    </module>
+  </modules>
+</project>
Index: org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/src/main/resources/i18n/text.properties
===================================================================
--- org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/src/main/resources/i18n/text.properties	(revision 0)
+++ org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/src/main/resources/i18n/text.properties	(revision 1456)
@@ -0,0 +1,10 @@
+modify_offset = Geometr\u00eda paralela
+selection=Selecci\u00f3n
+first_point_of_symmetry_axis=Primer punto del eje de simetr\u00eda
+second_point_of_symmetry_axis=Segundo punto del eje de simetr\u00eda
+delete_original_geometries_question=\u00bfDesea borrar las geometr\u00edas originales?
+short_yes=S
+short_no=N
+delete_original_geometries = Eliminar geometr\u00edas originales
+keep_original_geometries = Mantener geometr\u00edas originales
+offset_distance= Distancia
\ No newline at end of file
Index: org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/src/main/resources/i18n/text_en.properties
===================================================================
--- org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/src/main/resources/i18n/text_en.properties	(revision 0)
+++ org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/src/main/resources/i18n/text_en.properties	(revision 1456)
@@ -0,0 +1,10 @@
+modify_offset = Parallel geometry
+selection = Selection
+first_point_of_symmetry_axis=First point of the symmetry axis
+second_point_of_symmetry_axis=Second point of the symmetry axis
+delete_original_geometries_question=Delete original geometries?
+short_yes=Y
+short_no=N
+delete_original_geometries = Delete original geometries
+keep_original_geometries = Keep original geometries
+offset_distance= Distance
\ No newline at end of file
Index: org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/src/main/resources/META-INF/services/org.gvsig.tools.library.Library
===================================================================
--- org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/src/main/resources/META-INF/services/org.gvsig.tools.library.Library	(revision 0)
+++ org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/src/main/resources/META-INF/services/org.gvsig.tools.library.Library	(revision 1456)
@@ -0,0 +1 @@
+org.gvsig.vectorediting.offset.lib.prov.offset.OffsetEditingLibrary
\ No newline at end of file
Index: org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/src/main/resources/images/vectorediting-tools/modify-offset.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/src/main/resources/images/vectorediting-tools/modify-offset.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/src/main/java/org/gvsig/vectorediting/offset/lib/prov/offset/OffsetEditingProviderFactory.java
===================================================================
--- org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/src/main/java/org/gvsig/vectorediting/offset/lib/prov/offset/OffsetEditingProviderFactory.java	(revision 0)
+++ org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/src/main/java/org/gvsig/vectorediting/offset/lib/prov/offset/OffsetEditingProviderFactory.java	(revision 1456)
@@ -0,0 +1,87 @@
+/**
+ * gvSIG. Desktop Geographic Information System.
+ *
+ * Copyright © 2007-2014 gvSIG Association
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+ * MA  02110-1301, USA.
+ *
+ * For any additional information, do not hesitate to contact us
+ * at info AT gvsig.com, or visit our website www.gvsig.com.
+ */
+
+package org.gvsig.vectorediting.offset.lib.prov.offset;
+
+import org.gvsig.fmap.geom.Geometry;
+import org.gvsig.tools.ToolsLocator;
+import org.gvsig.tools.dynobject.DynClass;
+import org.gvsig.tools.dynobject.DynObject;
+import org.gvsig.tools.service.spi.AbstractProviderFactory;
+import org.gvsig.tools.service.spi.Provider;
+import org.gvsig.tools.service.spi.ProviderServices;
+import org.gvsig.vectorediting.lib.api.EditingServiceInfo;
+import org.gvsig.vectorediting.lib.spi.DefaultEditingServiceinfo;
+import org.gvsig.vectorediting.lib.spi.EditingProviderFactory;
+
+public class OffsetEditingProviderFactory extends AbstractProviderFactory
+implements EditingProviderFactory {
+
+    public static final String PROVIDER_NAME = "modify-offset";
+
+    private final static String PROVIDER_DESCRIPTION =
+        "Creates offset geometries from selection";
+
+    public void initialize() {
+
+    }
+
+    public EditingServiceInfo getServiceInfo() {
+        EditingServiceInfo serviceInfo =
+            new DefaultEditingServiceinfo(PROVIDER_NAME, "", false, null,
+                new int[] { Geometry.TYPES.POINT, Geometry.TYPES.MULTIPOINT,
+                Geometry.TYPES.SURFACE, Geometry.TYPES.MULTISURFACE,
+                Geometry.TYPES.LINE, Geometry.TYPES.MULTILINE,
+                Geometry.TYPES.POLYGON, Geometry.TYPES.MULTIPOLYGON,
+                Geometry.TYPES.CURVE, Geometry.TYPES.MULTICURVE });
+
+        return serviceInfo;
+    }
+
+    @Override
+    protected Provider doCreate(DynObject parameters, ProviderServices services) {
+        return new OffsetEditingProvider(services, parameters);
+    }
+
+    @Override
+    public DynObject createParameters() {
+        DynObject dynobject = super.createParameters();
+        dynobject.setDynValue(PROVIDER_NAME_FIELD, PROVIDER_NAME);
+        return dynobject;
+    }
+
+    @Override
+    protected DynClass createParametersDynClass() {
+        DynClass dynclass =
+            ToolsLocator.getDynObjectManager().createDynClass(PROVIDER_NAME,
+                PROVIDER_DESCRIPTION);
+
+        dynclass.addDynFieldString(PROVIDER_NAME_FIELD);
+        dynclass.addDynFieldObject(FEATURE_STORE_FIELD);
+        dynclass.addDynFieldObject(MAPCONTEXT_FIELD);
+
+        return dynclass;
+    }
+
+}
Index: org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/src/main/java/org/gvsig/vectorediting/offset/lib/prov/offset/OffsetEditingLibrary.java
===================================================================
--- org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/src/main/java/org/gvsig/vectorediting/offset/lib/prov/offset/OffsetEditingLibrary.java	(revision 0)
+++ org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/src/main/java/org/gvsig/vectorediting/offset/lib/prov/offset/OffsetEditingLibrary.java	(revision 1456)
@@ -0,0 +1,71 @@
+/**
+ * gvSIG. Desktop Geographic Information System.
+ *
+ * Copyright © 2007-2014 gvSIG Association
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+ * MA  02110-1301, USA.
+ *
+ * For any additional information, do not hesitate to contact us
+ * at info AT gvsig.com, or visit our website www.gvsig.com.
+ */
+
+package org.gvsig.vectorediting.offset.lib.prov.offset;
+
+import org.gvsig.tools.ToolsLocator;
+import org.gvsig.tools.i18n.I18nManager;
+import org.gvsig.tools.library.AbstractLibrary;
+import org.gvsig.tools.library.LibraryException;
+import org.gvsig.vectorediting.lib.api.EditingLibrary;
+import org.gvsig.vectorediting.lib.spi.EditingProviderLocator;
+import org.gvsig.vectorediting.lib.spi.EditingProviderManager;
+
+/**
+ * Library for default implementation initialization and configuration.
+ *
+ * @author gvSIG team
+ * @version $Id$
+ */
+public class OffsetEditingLibrary extends AbstractLibrary {
+
+    @Override
+    public void doRegistration() {
+        registerAsServiceOf(EditingLibrary.class);
+    }
+
+    @Override
+    protected void doInitialize() throws LibraryException {
+    }
+
+    @Override
+    protected void doPostInitialize() throws LibraryException {
+        EditingProviderManager manager =
+            EditingProviderLocator.getProviderManager();
+
+        manager.addProviderFactory(new OffsetEditingProviderFactory());
+
+        manager.registerIcon("vectorediting-tools", "modify-offset", this
+            .getClass().getClassLoader(), this.getClass().getName());
+
+        registerTranslations();
+    }
+
+    private void registerTranslations() {
+        I18nManager manager = ToolsLocator.getI18nManager();
+        manager.addResourceFamily("i18n.text",
+            this.getClass().getClassLoader(), "offset-editing");
+    }
+
+}
Index: org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/src/main/java/org/gvsig/vectorediting/offset/lib/prov/offset/OffsetEditingProvider.java
===================================================================
--- org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/src/main/java/org/gvsig/vectorediting/offset/lib/prov/offset/OffsetEditingProvider.java	(revision 0)
+++ org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/src/main/java/org/gvsig/vectorediting/offset/lib/prov/offset/OffsetEditingProvider.java	(revision 1456)
@@ -0,0 +1,529 @@
+/**
+ * gvSIG. Desktop Geographic Information System.
+ *
+ * Copyright © 2007-2014 gvSIG Association
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+ * MA  02110-1301, USA.
+ *
+ * For any additional information, do not hesitate to contact us
+ * at info AT gvsig.com, or visit our website www.gvsig.com.
+ */
+
+package org.gvsig.vectorediting.offset.lib.prov.offset;
+
+import java.util.ArrayList;
+import java.util.HashMap;
+import java.util.LinkedHashMap;
+import java.util.List;
+import java.util.Map;
+
+import org.gvsig.fmap.dal.exception.DataException;
+import org.gvsig.fmap.dal.feature.EditableFeature;
+import org.gvsig.fmap.dal.feature.Feature;
+import org.gvsig.fmap.dal.feature.FeatureSelection;
+import org.gvsig.fmap.dal.feature.FeatureStore;
+import org.gvsig.fmap.geom.Geometry;
+import org.gvsig.fmap.geom.GeometryException;
+import org.gvsig.fmap.geom.GeometryLocator;
+import org.gvsig.fmap.geom.GeometryManager;
+import org.gvsig.fmap.geom.aggregate.Aggregate;
+import org.gvsig.fmap.geom.aggregate.MultiCurve;
+import org.gvsig.fmap.geom.aggregate.MultiPoint;
+import org.gvsig.fmap.geom.aggregate.MultiSurface;
+import org.gvsig.fmap.geom.operation.GeometryOperationException;
+import org.gvsig.fmap.geom.operation.GeometryOperationNotSupportedException;
+import org.gvsig.fmap.geom.primitive.Arc;
+import org.gvsig.fmap.geom.primitive.Circle;
+import org.gvsig.fmap.geom.primitive.Circumference;
+import org.gvsig.fmap.geom.primitive.Curve;
+import org.gvsig.fmap.geom.primitive.Ellipse;
+import org.gvsig.fmap.geom.primitive.FilledSpline;
+import org.gvsig.fmap.geom.primitive.Line;
+import org.gvsig.fmap.geom.primitive.PeriEllipse;
+import org.gvsig.fmap.geom.primitive.Point;
+import org.gvsig.fmap.geom.primitive.Polygon;
+import org.gvsig.fmap.geom.primitive.Spline;
+import org.gvsig.fmap.geom.primitive.Surface;
+import org.gvsig.fmap.mapcontext.rendering.symbols.ISymbol;
+import org.gvsig.tools.ToolsLocator;
+import org.gvsig.tools.dispose.DisposableIterator;
+import org.gvsig.tools.dynobject.DynObject;
+import org.gvsig.tools.i18n.I18nManager;
+import org.gvsig.tools.service.spi.ProviderServices;
+import org.gvsig.vectorediting.lib.api.DrawingStatus;
+import org.gvsig.vectorediting.lib.api.EditingServiceParameter;
+import org.gvsig.vectorediting.lib.api.EditingServiceParameter.TYPE;
+import org.gvsig.vectorediting.lib.api.exceptions.DrawServiceException;
+import org.gvsig.vectorediting.lib.api.exceptions.FinishServiceException;
+import org.gvsig.vectorediting.lib.api.exceptions.InvalidEntryException;
+import org.gvsig.vectorediting.lib.api.exceptions.StartServiceException;
+import org.gvsig.vectorediting.lib.spi.AbstractEditingProvider;
+import org.gvsig.vectorediting.lib.spi.DefaultDrawingStatus;
+import org.gvsig.vectorediting.lib.spi.DefaultEditingServiceParameter;
+import org.gvsig.vectorediting.lib.spi.EditingProvider;
+import org.gvsig.vectorediting.lib.spi.EditingProviderFactory;
+import org.gvsig.vectorediting.lib.spi.EditingProviderLocator;
+import org.gvsig.vectorediting.lib.spi.EditingProviderManager;
+import org.gvsig.vectorediting.lib.spi.EditingProviderServices;
+
+public class OffsetEditingProvider extends AbstractEditingProvider implements
+    EditingProvider {
+
+    private final Double PRECISION = new Double(1.0e-5);
+
+    private I18nManager i18nManager = ToolsLocator.getI18nManager();
+
+    private EditingServiceParameter selectionParameter;
+
+    private EditingServiceParameter offsetParameter;
+
+    private EditingServiceParameter deleteOriginalGeometriesParameter;
+
+    private boolean deleteOriginalGeometries = false;
+
+    private Map<EditingServiceParameter, Object> values;
+
+    private Map<String, String> options;
+
+    private FeatureStore featureStore;
+
+    public OffsetEditingProvider(ProviderServices providerServices, DynObject parameters) {
+        super(providerServices);
+        this.featureStore = (FeatureStore) parameters.getDynValue(EditingProviderFactory.FEATURE_STORE_FIELD);
+
+        this.selectionParameter =
+            new DefaultEditingServiceParameter("selection",
+                i18nManager.getTranslation("selection"), TYPE.SELECTION);
+
+        this.offsetParameter =
+            new DefaultEditingServiceParameter("offset_distance",
+                i18nManager.getTranslation("offset_distance"),
+                TYPE.POSITION, TYPE.VALUE);
+
+        this.options = new LinkedHashMap<String, String>();
+        options.put(i18nManager.getTranslation("short_yes"),
+            "delete_original_geometries");
+        options.put(i18nManager.getTranslation("short_no"),
+            "keep_original_geometries");
+
+        EditingProviderServices editingProviderServices =
+            (EditingProviderServices) getProviderServices();
+
+        String consoleMsg =
+            editingProviderServices.makeConsoleMessage(
+                "delete_original_geometries_question", options);
+
+        this.deleteOriginalGeometriesParameter =
+            new DefaultEditingServiceParameter("Delete original geometries",
+                consoleMsg, options, TYPE.OPTION);
+
+    }
+
+    public EditingServiceParameter next() {
+
+        if (values.get(selectionParameter) == null) {
+            return selectionParameter;
+        } else if (values.get(offsetParameter) == null) {
+            return offsetParameter;
+        } else if (values.get(deleteOriginalGeometriesParameter) == null) {
+            return this.deleteOriginalGeometriesParameter;
+        }
+
+        return null;
+    }
+
+    public DrawingStatus getDrawingStatus(Point mousePosition) throws DrawServiceException {
+        DefaultDrawingStatus drawingStatus = new DefaultDrawingStatus();
+        EditingProviderManager editingProviderManager =
+            EditingProviderLocator.getProviderManager();
+//        ISymbol auxiliaryLineSymbolEditing = editingProviderManager.getSymbol("auxiliary-line-symbol-editing");
+        ISymbol auxiliaryPointSymbolEditing = editingProviderManager.getSymbol("auxiliary-point-symbol-editing");
+        ISymbol lineSymbolEditing = editingProviderManager.getSymbol("line-symbol-editing");
+        ISymbol polygonSymbolEditing = editingProviderManager.getSymbol("polygon-symbol-editing");
+
+
+        FeatureSelection selected =
+            (FeatureSelection) values.get(selectionParameter);
+        try {
+            if ((selected != null) && !selected.isEmpty()) {
+                Point point = null;
+                double distance = 0.0;
+                Object offsetValue = values.get(offsetParameter);
+                if (offsetValue != null){
+                    if (offsetValue instanceof Point) {
+                        point = (Point) offsetValue;
+                    } else {
+                        distance = (Double) offsetValue;
+                    }
+                } else {
+                    point = mousePosition;
+                    distance = getMinDistance(selected, point);
+                }
+
+
+                DisposableIterator it;
+                it = selected.fastIterator();
+
+                while (it.hasNext()) {
+                    Feature feat = (Feature) it.next();
+                    Geometry transformedGeometry = feat.getDefaultGeometry().offset(distance);
+
+                    ISymbol symbol = null;
+                    if (transformedGeometry instanceof Curve || transformedGeometry instanceof MultiCurve) {
+                        symbol = lineSymbolEditing;
+                    } else if (transformedGeometry instanceof Surface || transformedGeometry instanceof MultiSurface) {
+                        symbol = polygonSymbolEditing;
+                    } else if (transformedGeometry instanceof Point || transformedGeometry instanceof MultiPoint) {
+                        symbol = auxiliaryPointSymbolEditing;
+                    }
+                    if (transformedGeometry instanceof Aggregate) {
+                        int primitivesNumber = ((Aggregate) transformedGeometry).getPrimitivesNumber();
+                        for (int i = 0; i < primitivesNumber; i++) {
+                            drawingStatus.addStatus(((Aggregate) transformedGeometry).getPrimitiveAt(i), symbol, "");
+                        }
+                    } else {
+                        drawingStatus.addStatus(transformedGeometry, symbol, "");
+                    }
+                }
+                it.dispose();
+            }
+            return drawingStatus;
+        } catch (Exception e) {
+            throw new DrawServiceException(e);
+        }
+    }
+
+    /**
+     * @param selected
+     * @param point
+     * @return
+     * @throws DataException
+     * @throws GeometryOperationException
+     * @throws GeometryOperationNotSupportedException
+     * @throws GeometryException
+     */
+    private double getMinDistance(FeatureSelection selected, Point point) throws DataException, GeometryOperationNotSupportedException, GeometryOperationException, GeometryException {
+        double minorDistance=Double.POSITIVE_INFINITY;
+        DisposableIterator it;
+        it = selected.fastIterator();
+        while (it.hasNext()) {
+            Feature feat = (Feature) it.next();
+            Geometry geometry = feat.getDefaultGeometry();
+            double distance = getDistance(geometry, point);
+            if(distance < minorDistance){
+                minorDistance = distance;
+            }
+        }
+        it.dispose();
+        return minorDistance;
+
+    }
+
+    /**
+     * @param geometry
+     * @param point
+     * @return
+     * @throws GeometryOperationException
+     * @throws GeometryOperationNotSupportedException
+     * @throws GeometryException
+     */
+    private double getDistance(Geometry geometry, Point point) throws GeometryOperationNotSupportedException, GeometryOperationException, GeometryException {
+        GeometryManager geomManager = GeometryLocator.getGeometryManager();
+        if(geometry instanceof Arc){
+            Arc arc = (Arc)geometry;
+            Point center = arc.getCenterPoint();
+            double radius = center.distance(arc.getInitPoint());
+            double distance = center.distance(point)-radius;
+            return distance;
+        }
+
+        if(geometry instanceof Circle){
+            Circle circle = (Circle)geometry;
+            return circle.getCenter().distance(point)-circle.getRadious();
+        }
+        if(geometry instanceof Circumference){
+            Circumference circumference = (Circumference)geometry;
+            return circumference.getCenter().distance(point)-circumference.getRadious();
+        }
+        if(geometry instanceof PeriEllipse){
+            double minDistance = Double.POSITIVE_INFINITY;
+            PeriEllipse ellipse = (PeriEllipse)geometry;
+            Geometry[] closestPoints = point.closestPoints(ellipse);
+            if (closestPoints!=null){
+                for (int i = 0; i < closestPoints.length; i++) {
+                    Geometry closestPoint = closestPoints[i];
+                    if (!point.equals(closestPoint)) {
+                        double distance = closestPoint.distance(point);
+                        if (distance < minDistance) {
+                            minDistance = distance;
+                        }
+                    }
+                }
+            }
+            Ellipse auxEllipse = (Ellipse)geomManager.create(Geometry.TYPES.ELLIPSE, geometry.getGeometryType().getSubType());
+            auxEllipse.setPoints(ellipse.getAxis1Start(), ellipse.getAxis1End(), ellipse.getAxis2Dist());
+            if(auxEllipse.contains(point)){
+                return -minDistance;
+            }
+            return minDistance;
+        }
+        if(geometry instanceof Ellipse){
+            Ellipse ellipse = (Ellipse)geometry;
+            PeriEllipse auxPeriEllipse = (PeriEllipse)geomManager.create(Geometry.TYPES.PERIELLIPSE, geometry.getGeometryType().getSubType());
+            auxPeriEllipse.setPoints(ellipse.getAxis1Start(), ellipse.getAxis1End(), ellipse.getAxis2Dist());
+            double distance = getDistance(auxPeriEllipse, point);
+//            if(ellipse.contains(point)){
+//                return -distance;
+//            }
+
+            return distance;
+        }
+
+        if(geometry instanceof Spline || geometry instanceof FilledSpline ){
+            return getDistance(geometry.toLines().getPrimitiveAt(0), point);
+        }
+
+        if(geometry instanceof Line){
+            Line line = (Line)geometry;
+            double minDistance = Double.POSITIVE_INFINITY;
+            Geometry[] closestPoints = point.closestPoints(line);
+            Point closestPoint = null;
+            if (closestPoints!=null){
+                for (int i=0;i<closestPoints.length;i++){
+                    Point p=(Point)closestPoints[i];
+                    if (!point.equals(p)) {
+                        double distance = p.distance(point);
+                        if (distance < minDistance) {
+                            minDistance = distance;
+                            closestPoint = p;
+                        }
+                    }
+                }
+            }
+            if(closestPoint != null){
+                for(int i=0; i<line.getNumVertices()-1; i++){
+                    Line segment = (Line) geomManager.create(Geometry.TYPES.LINE, geometry.getGeometryType().getSubType());
+                    segment.addVertex(line.getVertex(i));
+                    segment.addVertex(line.getVertex(i+1));
+                    if(segment.isWithinDistance(closestPoint, PRECISION)){
+                        if(line.getVertex(0).equals(line.getVertex(line.getNumVertices()-1))){ //isClosed
+                            if(line.toPolygons().contains(point)){
+                                return -minDistance;
+                            };
+                            return minDistance;
+                        } else {
+                            return getDirectedDistance(closestPoint, point, segment);
+                        }
+                    }
+                }
+            }
+        }
+
+        if(geometry instanceof Polygon){
+            Polygon polygon = (Polygon)geometry;
+            if(!polygon.contains(point)){
+                double minDistance = Double.POSITIVE_INFINITY;
+                Geometry[] closestPoints = point.closestPoints(polygon);
+                Point closestPoint = null;
+                if (closestPoints!=null){
+                    for (int i=0;i<closestPoints.length;i++){
+                        Point p=(Point)closestPoints[i];
+                        if (!point.equals(p)) {
+                            double distance = p.distance(point);
+                            if (distance < minDistance) {
+                                minDistance = distance;
+                                closestPoint = p;
+                            }
+                        }
+                    }
+                }
+                if(closestPoint != null){
+                    return closestPoint.distance(point);
+                }
+            } else {
+                Line auxLine = (Line) polygon.toLines().getPrimitiveAt(0);
+                if(auxLine!=null){
+                    return getDistance(auxLine, point);
+                }
+            }
+        }
+
+        if(geometry instanceof Aggregate){
+            double minDistance = Double.POSITIVE_INFINITY;
+            Aggregate aggregate2 = (Aggregate)geometry;
+            for(int i=0; i<aggregate2.getPrimitivesNumber(); i++){
+                double distance = getDistance(aggregate2.getPrimitiveAt(i),point);
+                if(distance<minDistance){
+                    minDistance = distance;
+                }
+            }
+            return minDistance;
+        }
+        return 0.0;
+    }
+
+    public void stop() {
+        values.clear();
+    }
+
+    private void validateAndInsertValue(EditingServiceParameter param,
+        Object value) throws InvalidEntryException {
+        if (param == selectionParameter) {
+            if (value instanceof FeatureSelection) {
+                values.put(param, value);
+                return;
+            }
+        } else if (param == offsetParameter) {
+            if (value instanceof Point) {
+                try {
+                    values.put(param, getMinDistance((FeatureSelection) values.get(selectionParameter), (Point) value));
+                } catch (Exception e) {
+                    throw new InvalidEntryException(e);
+                }
+                return;
+            }
+            if (value instanceof Double) {
+                values.put(param, value);
+            }
+        } else if (param == deleteOriginalGeometriesParameter) {
+            if (value instanceof String) {
+                if (((String) value).trim().equalsIgnoreCase(
+                    i18nManager.getTranslation("short_yes"))) {
+                    deleteOriginalGeometries = true;
+                } else if (((String) value).trim().equalsIgnoreCase(
+                    i18nManager.getTranslation("short_no"))) {
+                    deleteOriginalGeometries = false;
+                } else {
+                    throw new InvalidEntryException(null);
+                }
+                values.put(param, value);
+            }
+        }
+
+    }
+
+    public List<EditingServiceParameter> getParameters() {
+        List<EditingServiceParameter> list =
+            new ArrayList<EditingServiceParameter>();
+        list.add(selectionParameter);
+        list.add(offsetParameter);
+        return list;
+    }
+
+    public void setValue(Object value) throws InvalidEntryException {
+        EditingServiceParameter param = next();
+        validateAndInsertValue(param, value);
+    }
+
+    public void finishAndStore() throws FinishServiceException {
+
+        FeatureSelection selected =
+            (FeatureSelection) values.get(selectionParameter);
+        try {
+            if (!selected.isEmpty()) {
+                double distance = (Double) values.get(offsetParameter);
+                    DisposableIterator it;
+                    it = selected.fastIterator();
+
+                    while (it.hasNext()) {
+                        Feature feature = (Feature) it.next();
+                        Geometry geom;
+                        try {
+                            geom = feature.getDefaultGeometry().offset(distance);
+                        } catch (GeometryOperationNotSupportedException e) {
+                            throw new FinishServiceException(e);
+                        } catch (GeometryOperationException e) {
+                            throw new FinishServiceException(e);
+                        }
+
+                        if (this.deleteOriginalGeometries) {
+                            // Se sustituye la geometría original por la
+                            // calculada
+                            EditableFeature editableFeature =
+                                feature.getEditable();
+                            editableFeature.setDefaultGeometry(geom);
+                            ((EditingProviderServices) getProviderServices())
+                                .updateFeatureInFeatureStore(editableFeature,
+                                    featureStore);
+                        } else {
+                            // Se crea una feature nueva copiando los valores de
+                            // la feature original excepto aquellos que sean PK
+                            EditingProviderServices editingProviderServices =
+                                (EditingProviderServices) getProviderServices();
+                            EditableFeature editableFeature =
+                                editingProviderServices
+                                    .getFeatureCopyWithoutPK(featureStore,
+                                        feature);
+                            editableFeature.setDefaultGeometry(geom);
+                            editingProviderServices
+                                .insertFeatureIntoFeatureStore(editableFeature,
+                                    featureStore);
+                        }
+
+                    }
+                    it.dispose();
+                    featureStore.getFeatureSelection().deselectAll();
+                }
+        } catch (DataException e) {
+            throw new FinishServiceException(e);
+        }
+    }
+
+    private Double getDirectedDistance(Point pointInLine, Point distancePoint, Line line)
+        throws GeometryOperationNotSupportedException, GeometryOperationException{
+        Double distance=distancePoint.distance(pointInLine);
+        EditingProviderServices editingProviderServices =
+            (EditingProviderServices) getProviderServices();
+        Double angle = editingProviderServices.getAngle(pointInLine, distancePoint);
+        double angleLine = editingProviderServices.getAngle(line.getVertex(0), line.getVertex(1));
+
+        Double angleDifference=angle - angleLine;
+        if ( angleDifference<0 ){
+            angleDifference+=2*Math.PI;
+        }
+        if (angleDifference > Math.PI ) {
+            distance = -distance;
+        }
+        return distance;
+    }
+
+    public Geometry finish() throws FinishServiceException {
+        return null;
+    }
+
+    public void start() throws StartServiceException {
+        this.values = new HashMap<EditingServiceParameter, Object>();
+        FeatureSelection selected = null;
+        if (featureStore != null) {
+            try {
+                selected =
+                    (FeatureSelection) featureStore.getFeatureSelection()
+                        .clone();
+            } catch (DataException e) {
+                throw new StartServiceException(e);
+            } catch (CloneNotSupportedException e) {
+                // Do nothing
+            }
+            if ((selected != null) && (selected.getSelectedCount() > 0)) {
+                values.put(selectionParameter, selected);
+            }
+        }
+    }
+
+    public String getName() {
+        return OffsetEditingProviderFactory.PROVIDER_NAME;
+    }
+}
\ No newline at end of file
Index: org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/pom.xml
===================================================================
--- org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/pom.xml	(revision 0)
+++ org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/org.gvsig.vectorediting.offset.lib.prov/org.gvsig.vectorediting.offset.lib.prov.offset/pom.xml	(revision 1456)
@@ -0,0 +1,25 @@
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+  <modelVersion>4.0.0</modelVersion>
+  <parent>
+    <groupId>org.gvsig</groupId>
+    <artifactId>org.gvsig.vectorediting.offset.lib.prov</artifactId>
+    <version>1.0.40</version>
+  </parent>
+  <artifactId>org.gvsig.vectorediting.offset.lib.prov.offset</artifactId>
+  <name>org.gvsig.vectorediting.offset.lib.prov.offset</name>
+
+  <dependencies>
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.vectorediting.lib.api</artifactId>
+    </dependency>
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.vectorediting.lib.impl</artifactId>
+    </dependency>
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.vectorediting.lib.spi</artifactId>
+    </dependency>
+  </dependencies>
+</project>
Index: org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/pom.xml
===================================================================
--- org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/pom.xml	(revision 0)
+++ org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/org.gvsig.vectorediting.offset.lib/pom.xml	(revision 1456)
@@ -0,0 +1,14 @@
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+  <modelVersion>4.0.0</modelVersion>
+  <parent>
+    <groupId>org.gvsig</groupId>
+    <artifactId>org.gvsig.vectorediting.offset</artifactId>
+    <version>1.0.40</version>
+  </parent>
+  <artifactId>org.gvsig.vectorediting.offset.lib</artifactId>
+  <packaging>pom</packaging>
+  <name>org.gvsig.vectorediting.offset.lib</name>
+    <modules>
+    <module>org.gvsig.vectorediting.offset.lib.prov</module>
+  </modules>
+</project>
Index: org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/pom.xml
===================================================================
--- org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/pom.xml	(revision 0)
+++ org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40/pom.xml	(revision 1456)
@@ -0,0 +1,83 @@
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+  <modelVersion>4.0.0</modelVersion>
+  <parent>
+    <groupId>org.gvsig</groupId>
+    <artifactId>org.gvsig.desktop</artifactId>
+    <version>2.0.225</version>
+  </parent>
+  <artifactId>org.gvsig.vectorediting.offset</artifactId>
+  <version>1.0.40</version>
+  <packaging>pom</packaging>
+  <name>org.gvsig.vectorediting.offset</name>
+  <description>Project that provides the offset vector editing tool</description>
+
+	<repositories>
+		<repository>
+			<id>gvsig-public-http-repository</id>
+			<name>gvSIG maven public HTTP repository</name>
+			<url>http://devel.gvsig.org/m2repo/j2se</url>
+			<releases>
+				<enabled>true</enabled>
+				<updatePolicy>daily</updatePolicy>
+				<checksumPolicy>warn</checksumPolicy>
+			</releases>
+			<snapshots>
+				<enabled>true</enabled>
+				<updatePolicy>daily</updatePolicy>
+				<checksumPolicy>warn</checksumPolicy>
+			</snapshots>
+		</repository>
+	</repositories>
+
+	<url>dav:https://devel.gvsig.org/sites/${project.artifactId}/${project.version}</url>
+	<scm>
+		<connection>scm:svn:https://devel.gvsig.org/svn/gvsig-vectorediting/org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40</connection>
+		<developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-vectorediting/org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40</developerConnection>
+		<url>https://devel.gvsig.org/redmine/projects/gvsig-vector-editing/repository/show/org.gvsig.vectorediting.offset/tags/org.gvsig.vectorediting.offset-1.0.40</url>
+	</scm>
+
+	<distributionManagement>
+		<site>
+			<id>gvsig-repository</id>
+			<url>dav:https://devel.gvsig.org/download/projects/gvsig-vectorediting/pool/${project.artifactId}/${project.version}</url>
+		</site>
+	</distributionManagement>
+
+	<build>
+		<plugins>
+			<plugin>
+				<groupId>org.apache.maven.plugins</groupId>
+				<artifactId>maven-release-plugin</artifactId>
+				<configuration>
+					<tagBase>https://devel.gvsig.org/svn/gvsig-vectorediting/${project.artifactId}/tags</tagBase>
+				</configuration>
+			</plugin>
+		</plugins>
+	</build>
+
+	<dependencyManagement>
+		<dependencies>
+			<dependency>
+				<groupId>org.gvsig</groupId>
+				<artifactId> org.gvsig.vectorediting </artifactId>
+				<version>${org.gvsig.vectorediting.version}</version>
+				<scope>import</scope>
+				<type>pom</type>
+			</dependency>
+			<dependency>
+				<groupId>org.gvsig</groupId>
+				<artifactId>org.gvsig.vectorediting.offset.lib.prov.offset</artifactId>
+				<version>1.0.40</version>
+			</dependency>
+		</dependencies>
+	</dependencyManagement>
+
+  <modules>
+    <module>org.gvsig.vectorediting.offset.lib</module>
+    <module>org.gvsig.vectorediting.offset.app</module>
+  </modules>
+
+  <properties>
+     <org.gvsig.vectorediting.version>1.0.79</org.gvsig.vectorediting.version>
+  </properties>
+</project>
